|  | Home · All Classes · Modules

# QTextEdit.AutoFormatting Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, AutoFormatting)

### Special Methods

- AutoFormatting __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, AutoFormatting f)
- AutoFormatting __iand__ (self, int f)
- int __int__ (self)
- AutoFormatting __invert__ (self)
- AutoFormatting __ior__ (self, int f)
- AutoFormatting __ixor__ (self, int f)
- bool __ne__ (self, AutoFormatting f)
- AutoFormatting __or__ (self, int f)
- AutoFormatting __xor__ (self, int f)

## Detailed Description

AutoFormattingFlag may be used whenever AutoFormatting is expected.

## Method Documentation

### AutoFormatting.__init__ (self)

### AutoFormatting.__init__ (self, int f)

### AutoFormatting.__init__ (self, AutoFormatting)

### AutoFormatting AutoFormatting.__and__ (self, int f)

### int AutoFormatting.__bool__ (self)

### bool AutoFormatting.__eq__ (self, AutoFormatting f)

### AutoFormatting AutoFormatting.__iand__ (self, int f)

### int AutoFormatting.__int__ (self)

### AutoFormatting AutoFormatting.__invert__ (self)

### AutoFormatting AutoFormatting.__ior__ (self, int f)

### AutoFormatting AutoFormatting.__ixor__ (self, int f)

### bool AutoFormatting.__ne__ (self, AutoFormatting f)

### AutoFormatting AutoFormatting.__or__ (self, int f)

### AutoFormatting AutoFormatting.__xor__ (self, int f)